<?php

/**
 * @package   FL Image Sitemap Plugin
 * @author    Дмитрий Васюков http://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
jimport('joomla.form.formfield');
 
class JFormFieldFLInfo extends JFormField
{ 
	protected $type = 'flinfo';
 	
 	// Get Label Function 

	protected function getLabel()
	{	
		if (!JComponentHelper::getComponent('com_zoo', true)->enabled) {
			JFactory::getDocument()->addScriptDeclaration("
	            jQuery(function($) {
	            	$(document).ready(function() {
						var tab = $('a[href=\"#attrib-Zoo\"]');
	                	tab.addClass('disabled');
	                	tab.removeAttr('data-toggle');
	            	});
	            });");
		}

		if (!JFile::exists(JPATH_ADMINISTRATOR.'/components/com_k2/k2.php')
				|| !JComponentHelper::getComponent('com_k2', true)->enabled) {
			JFactory::getDocument()->addScriptDeclaration("
	            jQuery(function($) {
	            	$(document).ready(function() {
						var tab = $('a[href=\"#attrib-K2\"]');
	                	tab.addClass('disabled');
	                	tab.removeAttr('data-toggle');
	            	});
	            });");
		}

		$id 	= JFactory::getApplication()->input->getString('extension_id');
		$link 	= JUri::root().'?option=com_ajax&plugin=flimagesitemap&format=raw&code='.$this->getCode($id);

		$html[] = '<div class="alert alert-info">';
		$html[] = '<h4>Ваша карта сайта изображений</h4>';
		$html[] = '<a href="'.$link.'" target="_blank">'.$link.'</a>';

		return '</div>' . implode('', $html);
	}

	// Get Input Function

	protected function getInput()
	{	
		$id 	= JFactory::getApplication()->input->getString('extension_id');
		$html 	= '<input type="hidden" name="' . $this->name . '" value="' . $this->getCode($id) . '"/>';
		return $html;
	}

	// Get Code

	protected function getCode($value)
	{	
		$code = substr(strrev(md5($value)), 0, 16);

		return $code;
	}
}